You are not logged in.

#1 2017-03-13 04:27:34

damo
....moderator....
Registered: 2015-08-20
Posts: 5,059

Warning: gmrun segfaults, in Stretch

gmrun v 0.9.2-2.1+b2

Bug report: gmrun: Segfault after recent upgrades (Patch available)


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#2 2017-03-13 04:39:09

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 5,731
Website

Re: Warning: gmrun segfaults, in Stretch

Thanks! It sounds as if they have it in hand, though.


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#3 2017-03-13 07:20:04

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: Warning: gmrun segfaults, in Stretch

I went to the trouble of installing the debug version and generating a proper backtrace with gdm before I found that bug report...

roll

Thanks for the heads-up, I probably should have mentioned this myself  ops


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#4 2017-03-13 20:22:48

beaker
Member
Registered: 2016-03-06
Posts: 117

Re: Warning: gmrun segfaults, in Stretch

So do we just downgrade, wait for a patched version to come out, or can we apply the patch ourselves? How does the average user apply the patch?

Offline

#5 2017-03-13 21:12:19

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: Warning: gmrun segfaults, in Stretch

beaker wrote:

How does the average user apply the patch?

They would use https://www.startpage.com/ and search for "apply patch to debian package", this is the first link in the list:

http://cs-people.bu.edu/doucette/xia/gu … -patch.txt

Looks good to me smile


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#6 2017-03-13 21:51:20

hhh
Meep!
Registered: 2015-09-17
Posts: 8,324
Website

Re: Warning: gmrun segfaults, in Stretch

Head_on_a_Stick wrote:

Looks good to me smile

That's assuming quite a bit from a "regular user", don't you think? He might ask "Wait, I'm adding Ubuntu dev sources? My build-deps didn't install, what do I do now? It says dch -i rename the package and change the version, what name and version should I use? What version will allow a smooth upgrade when the official patched package is available in jessie?"

https://mentors.debian.net/package/gmrun

@beaker, is your installed gmrun upgraded already, so it's segfaulting?

Offline

#7 2017-03-13 21:57:54

damo
....moderator....
Registered: 2015-08-20
Posts: 5,059

Re: Warning: gmrun segfaults, in Stretch

hhh wrote:

....That's assuming quite a bit from a "regular user", don't you think?....

Well, if you are running testing then that is the kind of thing you should expect to have to deal with, no?

The problem seems to have appeared with the upgrade from +b1 to +b2 a few days ago.


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#8 2017-03-13 21:59:02

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: Warning: gmrun segfaults, in Stretch

hhh wrote:
Head_on_a_Stick wrote:

Looks good to me smile

That's assuming quite a bit from a "regular user", don't you think? He might ask "Wait, I'm adding Ubuntu dev sources? My build-deps didn't install, what do I do now? It says dch -i rename the package and change the version, what name and version should I use? What version will allow a smooth upgrade when the official patched package is available in jessie?"

Very good points...

I have just patched my stretch version and it now works:

2017-03-13-215056_1920x1080_scrot.th.png

Method:

sudo apt-get build-dep gmrun
mkdir -p ~/Builds/gmrun && cd ~/Builds/gmrun
apt-get source gmrun && cd gmrun-0.9.2
patch -p1 < /full/path/to/patch.patch
dpkg-source --commit
debuild -us -uc
sudo dpkg -i ../gmrun*.deb

To use `apt-get source`, add the deb-src lines to /etc/apt/sources.list:

deb-src http://cdn-fastly.deb.debian.org/debian stretch  main
deb-src http://cdn-fastly.deb.debian.org/debian stretch-updates  main

Then save the file and `sudo apt update` wink

Good luck!

Last edited by Head_on_a_Stick (2017-03-13 22:33:17)


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#9 2017-03-13 22:45:19

damo
....moderator....
Registered: 2015-08-20
Posts: 5,059

Re: Warning: gmrun segfaults, in Stretch

Builds and runs with the patch smile

I see you fixed the typo!


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#10 2017-03-14 01:09:11

beaker
Member
Registered: 2016-03-06
Posts: 117

Re: Warning: gmrun segfaults, in Stretch

Thank you all for pointing me in the right direction. Patch applied.

Offline

#11 2017-03-14 04:19:59

hhh
Meep!
Registered: 2015-09-17
Posts: 8,324
Website

Re: Warning: gmrun segfaults, in Stretch

Excellent, that is some first-class support!

@damo and HoaS, I thought this bug was against stable. ops

Offline

#12 2017-03-14 05:56:59

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 5,731
Website

Re: Warning: gmrun segfaults, in Stretch

^Right, the other workaround would have been not to use gmrun for a while, till the fix came down the usual channels.
That's my approach, on the whole. icon_wink.gif


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#13 2017-03-14 07:17:18

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: Warning: gmrun segfaults, in Stretch

^ +1


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#14 2017-03-14 09:55:41

damo
....moderator....
Registered: 2015-08-20
Posts: 5,059

Re: Warning: gmrun segfaults, in Stretch

johnraff wrote:

^Right, the other workaround would have been not to use gmrun for a while, till the fix came down the usual channels.
That's my approach, on the whole. http://s22.postimg.org/yj02juin1/icon_wink.gif

But I like to use it all the time, and anyway this is all part of the learning experience angel


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#15 2017-03-15 01:36:01

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 5,731
Website

Re: Warning: gmrun segfaults, in Stretch

damo wrote:

But I like to use it all the time...

That's the point I guess. If it was Firefox or something I used every day I'd have a different attitude for sure. smile


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#16 2017-03-15 06:53:37

hhh
Meep!
Registered: 2015-09-17
Posts: 8,324
Website

Re: Warning: gmrun segfaults, in Stretch

You could use dmenu or xfce4-appfinder in the meantime, and chromium for Firefox.

But now I want another package to break so I can use HoaS' tutorial!

Offline

#17 2017-03-15 07:45:03

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: Warning: gmrun segfaults, in Stretch

damo wrote:

But I like to use it all the time

Just to note: if a new package is broken and no patch is available, a downgrade can be performed from the package cache:

sudo dpkg -i --force-downgrade /var/cache/apt/archives/$PACKAGE_$VERSION.deb
sudo aptitude hold $PACKAGE # remember to `aptitude unhold` when it's fixed ;)

Also, for users of testing/unstable, the Debian experimental repositories may have fixed versions from upstream:

deb http://cdn-fastly.deb.debian.org/debian experimental main contrib non-free

Target the repository for installation:

sudo apt install --target-release experimental $PACKAGE

The experimental repositories have an APT pin value of 1 (one) by default and so they are "safe" to include in /etc/apt/sources.list

To track a package from experimental (ie, to keep it updated from that repository), use this stanza in /etc/apt/preferences:

Package: $PACKAGE
Pin: release a=experimental
Pin-Priority: 800

https://wiki.debian.org/DebianExperimental


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#18 2017-03-15 08:19:38

hhh
Meep!
Registered: 2015-09-17
Posts: 8,324
Website

Re: Warning: gmrun segfaults, in Stretch

Dang, too much going on right now. Those downgrade instructions are important. We should have an apt maintenance guide like siduction does, including holding, releasing and downgrading packages.

Offline

#19 2017-03-15 08:29:32

brontosaurusrex
Middle Office
Registered: 2015-09-29
Posts: 1,816
Website

Re: Warning: gmrun segfaults, in Stretch

rofi -show run -font "Cuprum 13" -bw 0 -separator-style none -width 17 -hide-scrollbar -padding 1

is my replacement (and rofi is in stretch repos now).

Last edited by brontosaurusrex (2017-03-15 08:29:52)

Offline

#20 2017-03-15 09:12:53

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 5,731
Website

Re: Warning: gmrun segfaults, in Stretch

rofi looks interesting - replaces dmenu too.


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#21 2017-03-15 12:39:16

damo
....moderator....
Registered: 2015-08-20
Posts: 5,059

Re: Warning: gmrun segfaults, in Stretch

johnraff wrote:

rofi looks interesting - replaces dmenu too.

Playing around with it now wink


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#22 2017-03-16 09:28:53

brontosaurusrex
Middle Office
Registered: 2015-09-29
Posts: 1,816
Website

Re: Warning: gmrun segfaults, in Stretch

There is also a theme generator
https://davedavenport.github.io/rofi/p11-Generator.html

I'am here, run with

rofi -show run -font "Cuprum 13" -bw 0 -separator-style none -width 17 -hide-scrollbar -padding 1

in .Xresources

! ROFI Color theme

rofi.color-enabled: true
rofi.color-window: #273238, #273238, #1e2529
rofi.color-normal: #273238, #c1c1c1, #273238, #394249, #ffffff
rofi.color-active: #273238, #80cbc4, #273238, #394249, #80cbc4
rofi.color-urgent: #273238, #ff1844, #273238, #394249, #ff1844

It suffers a bit from featuritis.

rofi.th.png

Last edited by brontosaurusrex (2017-03-16 09:38:14)

Offline

#23 2017-03-23 09:04:48

brontosaurusrex
Middle Office
Registered: 2015-09-29
Posts: 1,816
Website

Re: Warning: gmrun segfaults, in Stretch

gmrun seems to be fixed.

Offline

Board footer

Powered by FluxBB